edu.isi.pegasus.planner.selector.replica

## Class Regex.Rank

- java.lang.Object
- - edu.isi.pegasus.planner.selector.replica.Regex.Rank

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  Regex

    private static class Regex.Rank
    extends java.lang.Object
    implements java.lang.Comparable

A Data class that allows us to compile a regex expression and associate a rank value with it.

### Field Summary

Fields
`private java.util.regex.Pattern` `mPattern` The compiled regex expression
`private int` `mRank` The rank value.

### Constructor Summary

Constructors
Constructor and Description
`Rank(int rank, java.lang.String regex)` The default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(java.lang.Object o)` Compares the Rank object with another rank object.
`int` `getRank()` Returns the rank associated with it.
`java.util.regex.Pattern` `getRegex()` Returns the underlying regex pattern associated with the Rank object.
`boolean` `matches(java.lang.String input)` Matches a string against the compiled regex expression
`java.lang.String` `toString()` Returns the textual representation of this

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mRank

    private int mRank

The rank value.

#### mPattern

    private java.util.regex.Pattern mPattern

The compiled regex expression

### Constructor Detail

#### Rank

    public Rank(int rank,
                java.lang.String regex)

The default constructor.

Parameters:
  `rank` - The rank value.
  `regex` - The regex expression.

### Method Detail

#### matches

    public boolean matches(java.lang.String input)

Matches a string against the compiled regex expression

Parameters:
  `input` - the input string to be matched
Returns:
  boolean indicating whether input matches or not.

#### getRegex

    public java.util.regex.Pattern getRegex()

Returns the underlying regex pattern associated with the Rank object.

Returns:
  the regex pattern

#### getRank

    public int getRank()

Returns the rank associated with it.

Returns:
  the int value of the rank

#### compareTo

    public int compareTo(java.lang.Object o)

Compares the Rank object with another rank object.

Specified by:
  `compareTo` in interface `java.lang.Comparable`
Parameters:
  `o` - the object to be compared.
Returns:
  int

#### toString

    public java.lang.String toString()

Returns the textual representation of this

Overrides:
  `toString` in class `java.lang.Object`